<?php

require_once __DIR__ . '/../vendor/autoload.php';

use jrosset\ExecutionTimer\ExecutionTimer;

$timer = new ExecutionTimer(false);
$timer->start();

sleep(3);

$timer->step('sleep 1');
var_dump($timer->getLastStepRelativeDuration()->toUserString(), (string)$timer->getLastStepDuration());

sleep(2);

$timer->step('sleep 2');
var_dump($timer->getLastStepRelativeDuration()->toUserString(), (string)$timer->getLastStepDuration());
$timer->stop();

var_dump($timer->getStepsDuration());

$final = $timer->getDuration();
var_dump($timer->getRelativeDuration()->toUserString(), (string)$final);
var_dump($final->getMilliseconds(), $final->getMilliseconds()->asAbsoluteFactional(), $final->getMilliseconds()->asRelativeFactional());